# Use for DOS/protected mode target, with compiler DJGPP 2.
# If you have problems using make.exe change the label names bellow.
# Compiler options:
#   -g     compile with debug
#   -O2    optimization 2
#   -m486  use 486 instructions or -mpentium use Pentium instructions
#   -Wall  show all warnings
#   -pg    to enable profile (report profile: gprof foo.exe gmon.out)



COMPILER = gcc

OPTIONS  = -O3 -m486 -Wall -DTRG_DOSDJGPP -ffast-math

EXTRA_LIBS = 

CMD_COPY_OBJ = copy *.o obj

CMD_DEL_OBJ  = del *.o

CMD_COPY_EXE = copy *.exe ex

CMD_DEL_EXE  = del *.exe

CMD_COPY_UTIL = copy *.exe util\bin

OBJ =			obj/screen.o   \
				obj/keyboard.o \
 				obj/gr.o

HEADERS =	src/port/screen.h   \
 				src/port/dosdjgpp/keyboard.h \
 				src/port/dosdjgpp/gr.h



# the common compilation make stuff
include makef/common.mak



# build only the library object files
library:	   keyboard gr screen commonlibrary


						 
# build only the library examples
examples:	exkeyboard exgr commontextexamples commongraphicsexamples



# build only the utilitys
utils:		commonutils



# SPECIFIC LIBRARY SOURCES
###########################################################



gr:			$(SRC_DIR)port/dosdjgpp/gr.cc
			   $(COMPILER) $(OPTIONS) -c $(SRC_DIR)port/dosdjgpp/gr.cc
				$(CMD_COPY_OBJ)
				$(CMD_DEL_OBJ)

screen:		$(SRC_DIR)port/screen.cc
			   $(COMPILER) $(OPTIONS) -c $(SRC_DIR)port/screen.cc
				$(CMD_COPY_OBJ)
				$(CMD_DEL_OBJ)

keyboard:	$(SRC_DIR)port/keyboard.cc
			   $(COMPILER) $(OPTIONS) -c $(SRC_DIR)port/keyboard.cc
				$(CMD_COPY_OBJ)
				$(CMD_DEL_OBJ)



# SPECIFIC EXAMPLES
###########################################################



exkeyboard:	$(EX_DIR)keyboard.cc $(COMMON_HEADERS) $(HEADERS)
			   $(COMPILER) $(OPTIONS) -c $(EX_DIR)keyboard.cc
				$(COMPILER) $(OPTIONS) $(COMMON_OBJ) $(OBJ) keyboard.o -o keyboard.exe
				$(CMD_COPY_EXE)
				$(CMD_DEL_OBJ)
				$(CMD_DEL_EXE)

exgr:			$(EX_DIR)gr.cc $(COMMON_HEADERS) $(HEADERS)
			   $(COMPILER) $(OPTIONS) -c $(EX_DIR)gr.cc
				$(COMPILER) $(OPTIONS) $(COMMON_OBJ) $(OBJ) gr.o -o gr.exe
				$(CMD_COPY_EXE)
				$(CMD_DEL_OBJ)
				$(CMD_DEL_EXE)



# SPECIFIC UTILS
###########################################################



# none
