# Use for LINUX with X Window System.
# If you have problems using make change the label names bellow.
# Compiler options:
#   -g     compile with debug
#   -O2    optimization 2
#   -m486  use 486 instructions or -mpentium use Pentium instructions
#   -Wall  show all warnings
#   -pg    to enable profile (report profile: gprof foo.exe gmon.out)



COMPILER = g++

OPTIONS  = -O3 -m486 -Wall -DTRG_LINUXXWIN -ffast-math

EXTRA_LIBS = -lm -lXaw -lXext -lXt -lX11 -L /usr/X11/lib

CMD_COPY_OBJ = cp *.o obj

CMD_DEL_OBJ  = rm *.o

CMD_COPY_EXE = cp *.exe ex

CMD_DEL_EXE  = rm *.exe

CMD_COPY_UTIL = cp *.exe util/bin

OBJ =			obj/xwinapp.o obj/keyboard.o

HEADERS =	$(SRC_DIR)port/linxwin/xwinapp.h $(SRC_DIR)port/linxwin/keyboard.h



# the common compilation make stuff
include makef/common.mak



# build only the library object files
library:	   keyboard xwinapp commonlibrary



# build only the library examples
examples:	exfly exxwinapp commontextexamples



# build only the utilitys
utils:		commonutils



# SPECIFIC LIBRARY SOURCES
###########################################################
xwinapp:		$(SRC_DIR)port/linxwin/xwinapp.cc
			   $(COMPILER) $(OPTIONS) -c $(SRC_DIR)port/linxwin/xwinapp.cc
				$(CMD_COPY_OBJ)
				$(CMD_DEL_OBJ)



keyboard:	$(SRC_DIR)port/keyboard.cc
			   $(COMPILER) $(OPTIONS) -c $(SRC_DIR)port/keyboard.cc
				$(CMD_COPY_OBJ)
				$(CMD_DEL_OBJ)



# SPECIFIC EXAMPLES
###########################################################
exxwinapp:		$(EX_DIR)xwinapp.cc $(COMMON_HEADERS) $(HEADERS)
			   $(COMPILER) $(OPTIONS) -c $(EX_DIR)xwinapp.cc
				$(COMPILER) $(OPTIONS) $(COMMON_OBJ) $(OBJ) xwinapp.o -o xwinapp.exe $(EXTRA_LIBS)
				$(CMD_COPY_EXE)
				$(CMD_DEL_OBJ)
				$(CMD_DEL_EXE)



# SPECIFIC UTILS
###########################################################

# none
